Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Fedora-VSP
Version:        0.001
Release:        alt1_13
Summary:        Perl version normalization for RPM
License:        GPLv3+
URL:            https://ppisar.fedorapeople.org/Fedora-VSP/
Source0:        %{url}Fedora-VSP-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  perl-devel
%if !%{defined perl_bootstrap}
# Break build cycle: perl-Fedora-VSP a.. perl-generators a.. perl-Fedora-VSP
BuildRequires:  rpm-build-perl
%endif
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Tests:
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(version.pm)
%if %{defined perl_bootstrap}
# Break build cycle: perl-Fedora-VSP a.. perl-generators a.. perl-Fedora-VSP
Requires:       perl(strict.pm)
Requires:       perl(warnings.pm)
Provides:       perl(Fedora/VSP.pm) = %{version}
%endif
Source44: import.info

%description
This module provides functions for normalizing Perl version strings for
Red Hat Package (RPM) based Linux distributions.

%prep
%setup -q -n Fedora-VSP-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc --no-dereference COPYING
%{perl_vendor_privlib}/*

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1_13
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1_12
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1_11
- update to new release by fcimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1_9
- new version

